View Full Version : OpenGL 2.0 drivers

04-27-2005, 10:03 AM
can anyone tell is there are any drivers that support OpenGL 2.0

I have ATI9600XT it supports only 1.5 but maybe with appropriated drivers i could use all 2.0 features?
sum programs just do not runs they says that OpenGL 2.0 not supported

Matt Zamborsky
04-27-2005, 10:13 AM
There are drivers that support OGL 2.0, but your card don't support 2.0 in all ways. E.g. the NPOT are not supported in HW.

If your driver returns 1.5 version in GL_VERSION string, you have old drivers, download the newest(5.4 Am I right?) and you see 2.0 here.

04-28-2005, 01:09 AM
thanks for the answer I'll do that

Java Cool Dude
04-28-2005, 01:26 AM
Pardon my ignorance but I believe that ATi R300 based cards do indeed support hardware NPOT of textures albeit with few restrictions.
I remember reading a tidbit from Humus a while ago on that matter, I'll see if I can dig out some of that stuff.

04-29-2005, 06:53 AM
R300 support EXT_texture_rectangle which is basically a 2D texture. It is very restricted.

NPOT means total flexibility. You can created mipmaps, use any texture addressing mode, normalized coords, anisotropy, any tex tagret.

04-29-2005, 11:57 AM
R300's, effectively, support texture rectangles but with normalized texture coordinates. Or, 2D NPOTs without mipmaps.